#
# NDK build file
#
# Written by Ant-ON, 2021
#

LOCAL_PATH := $(call my-dir)
include $(CLEAR_VARS)

LOCAL_MODULE := cdio-0.80

LOCAL_C_INCLUDES := $(LOCAL_PATH) \
	$(LOCAL_PATH)/../include \
	$(LOCAL_PATH)/include \
	$(LOCAL_PATH)/lib/driver \
	$(LOCAL_PATH)/../libfs/include \
	$(LOCAL_PATH)/../libbm/include

LOCAL_SRC_FILES := \
	cd_fs.c \
	blk_stdio.c \
	logging.c \
	utf8.c \
	lib/driver/_cdio_stream.c \
	lib/driver/ds.c \
	lib/driver/util.c \
	lib/iso9660/iso9660.c \
	lib/iso9660/iso9660_fs.c \
	lib/iso9660/rock.c \
	lib/iso9660/xa.c \
	lib/udf/filemode.c \
	lib/udf/udf.c \
	lib/udf/udf_file.c \
	lib/udf/udf_fs.c \
	lib/udf/udf_time.c

MAIN_CFLAGS := -DHAVE_CONFIG_H -DCDIO_DISABLE_CD

LOCAL_CFLAGS += $(MAIN_CFLAGS) -O2 \
	\
	-fno-strict-aliasing \
	\
	-Wall -Wno-gnu-variable-sized-type-not-at-end

# Remove unused code
LOCAL_CFLAGS += -fvisibility=hidden -ffunction-sections -fdata-sections -Wl,--gc-sections
LOCAL_CPPFLAGS += -fvisibility=hidden -fvisibility-inlines-hidden -ffunction-sections -fdata-sections -Wl,--gc-sections
LOCAL_LDFLAGS += -Wl,--gc-sections -Wl,-z,nocopyreloc

LOCAL_SHARED_LIBRARIES :=
LOCAL_STATIC_LIBRARIES :=

LOCAL_EXPORT_C_INCLUDES := $(LOCAL_PATH)/include

LOCAL_LDLIBS := -llog

include $(BUILD_SHARED_LIBRARY)
